function s = reformatText( s )
%s = reformatText( s )
%   Wherever s contains a single newline not followed by a space, replace
%   it by a space.  Leave all other newlines alone.

    s = canonicalNewlines( s );
    s = regexprep( s, '([^\n])\n([^\n ])', '$1 $2' );
end
